if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[up_EntryAddStringChunk]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[up_EntryAddStringChunk]
GO

CREATE  proc up_EntryAddStringChunk
@ixArchiveEntry int,
@sStringChunk nvarchar(3000)

as
SET NOCOUNT ON
------------------------------------
/*
CreateDate: 		2006-03-15
CreateBy:		DEXLEAP.COM
CreatePurpose:

(1)Post the user input text to DB chunk by chunk(3000 navarchar each)


RevisDate:
ReviseBy:
ReviseReason:
*/
------------------------------------
------------------------------------
--Customize Declaration
------------------------------------
DECLARE 
	@pTxtPtr varbinary(16) 

------------------------------------
--Customize Initialize
------------------------------------
------------------------------------
--Main Logic
------------------------------------
Select 
	@pTxtPtr = TEXTPTR(sEntryText) 
from 
	tdatArchiveEntry
where 
	ixArchiveEntry = @ixArchiveEntry  
--insert to table 
UPDATETEXT tdatArchiveEntry.sEntryText @pTxtPtr null 0 @sStringChunk

------------------------------------
--OutPut
------------------------------------